size = { 2048, 2048 }

defineProperty("flight_time", globalPropertyf("sim/time/total_flight_time_sec"))

createProp("sim/custom/xap/master_vol", "int", 1);

createProp("sim/custom/xap/right_hydr_st", "int", 0);

createProp("sim/custom/xap/crc_butt", "int", 0);

createProp("sim/custom/xap/stall_warn_test", "int", 0);

createProp("sim/custom/xap/voice_rec_test_lt", "int", 0);
createProp("sim/custom/xap/voice_rec_test", "int", 0);

createProp("sim/custom/xap/rudlim_test", "int", 0);
createProp("sim/custom/xap/taws_test_aur", "float", 0);
createProp("sim/custom/xap/fire_test_aur", "float", 0);
createProp("sim/custom/xap/ice_test", "int", 0);
createProp("sim/custom/xap/probs_test", "int", 0);
createProp("sim/custom/xap/annun2_aur", "float", 0);
createProp("sim/custom/xap/annun1_aur", "float", 0);

createProp("sim/custom/xap/poweron_p", "int", 0);

createProp("sim/custom/xap/cklst_pages", "int", 0);
createProp("sim/custom/xap/sound_vol", "int", 1800);
createProp("sim/custom/xap/sound_mute", "int", 0);

createProp("sim/custom/xap/opt_p", "int", 0);
createProp("sim/custom/xap/inst_p", "int", 0);
createProp("sim/custom/xap/mfd_pan_cas", "int", 0);
createProp("sim/custom/xap/mfd_pan", "int", 0);

createProp("sim/custom/xap/chkl_panel_s", "int", 0);
createProp("sim/custom/xap/ext_pr_panel_s", "int", 0);
createProp("sim/custom/xap/cam_panel_s", "int", 0);
createProp("sim/custom/xap/anim_panel_s", "int", 0);

createProp("sim/custom/xap/eicas_3d_p", "int", 0);

createProp("sim/custom/xap/lan_gear_warn", "int",0);
createProp("sim/custom/xap/config_warn", "int", 0);
createProp("sim/custom/xap/cabalt_warn", "int", 0);
createProp("sim/custom/xap/red_cas", "int", 0);
createProp("sim/custom/xap/yellow_cas", "int", 0);
createProp("sim/custom/xap/gear_warn", "int",0);
createProp("sim/custom/xap/flaps_warn", "int",0);
createProp("sim/custom/xap/terr_warn", "int",0);
createProp("sim/custom/xap/gear_warn_w", "int",0);


createProp("sim/custom/xap/refspds_v1", "int", 116);
createProp("sim/custom/xap/refspds_vr", "int", 120);
createProp("sim/custom/xap/refspds_v2", "int", 127);
createProp("sim/custom/xap/refspds_vt", "int", 170);
createProp("sim/custom/xap/refspds_vga", "int", 123);
createProp("sim/custom/xap/refspds_vref", "int", 117);
createProp("sim/custom/xap/refspds", "int", 1);
createProp("sim/custom/xap/refspds_hide", "int", 0);

createProp("sim/custom/xap/mast_warn", "float",0);
createProp("sim/custom/xap/mast_caut", "float",0);

createProp("sim/custom/xap/hstab_l", "float",0);
createProp("sim/custom/xap/hstab_r", "float",0);

createProp("sim/custom/xap/airdat1_fault", "int",0);
createProp("sim/custom/xap/airdat2_fault", "int",0);

createProp("sim/custom/xap/spoil_inb_l", "float",0);
createProp("sim/custom/xap/spoil_inb_r", "float",0);
createProp("sim/custom/xap/sbrk_inb_l", "float",0);
createProp("sim/custom/xap/sbrk_inb_r", "float",0);
createProp("sim/custom/xap/spoil_outb_l", "float",0);
createProp("sim/custom/xap/spoil_outb_r", "float",0);
createProp("sim/custom/xap/sbrk_outb_l", "float",0);
createProp("sim/custom/xap/sbrk_outb_r", "float",0);

createProp("sim/custom/xap/test_data_1", "float",0);
createProp("sim/custom/xap/test_data_2", "float",0);
createProp("sim/custom/xap/test_data_3", "float",0);
createProp("sim/custom/xap/test_data_4", "float",0);
createProp("sim/custom/xap/test_data_5", "float",0);



createProp("sim/custom/xap/temp_cabin", "float",0)
createProp("sim/custom/xap/glass_ice_cockpit", "float",0)
createProp("sim/custom/xap/glass_ice_cockpit2", "float",0)

createProp("sim/custom/xap/anim_crs_dial", "int",0);

createProp("sim/custom/xap/autop_vvi_dial", "int",0);
createProp("sim/custom/xap/autop_crs_dial", "int",0);
createProp("sim/custom/xap/autop_hdg_dial", "int",0);
createProp("sim/custom/xap/autop_spd_dial", "int",0);
createProp("sim/custom/xap/autop_alt_dial", "int",0);

createProp("sim/custom/xap/clock_timer_h", "int",0);

createProp("sim/custom/xap/autop_brgsrc", "int", -1);
createProp("sim/custom/xap/autop_yd_h", "int",0);
createProp("sim/custom/xap/autop_xfr_h", "int",0);
createProp("sim/custom/xap/autop_ap_h", "int",0);
createProp("sim/custom/xap/autop_alt_h", "int",0);
createProp("sim/custom/xap/autop_vnav_h", "int",0);
createProp("sim/custom/xap/autop_vs_h", "int",0);
createProp("sim/custom/xap/autop_flc_h", "int",0);
createProp("sim/custom/xap/autop_bc_h", "int",0);
createProp("sim/custom/xap/autop_appr_h", "int",0);
createProp("sim/custom/xap/autop_hdg_h", "int",0);
createProp("sim/custom/xap/autop_nav_h", "int",0);
createProp("sim/custom/xap/autop_fdir_h", "int",0);
createProp("sim/custom/xap/half_bank_h", "int",0);

createProp("sim/custom/xap/stbi_cage_h", "int",0)

createProp("sim/custom/xap/s_master_gain", "float", 1800);

createProp("sim/custom/xap/clock_gps", "int",0);
createProp("sim/custom/xap/clock_flt", "int",0);
createProp("sim/custom/xap/clock_mode", "int",0);

createProp("sim/custom/xap/fgp_s_hdg", "int",0);

createProp("sim/custom/xap/mfd_checkl_r", "int",0);
createProp("sim/custom/xap/mfd_hydr_r", "int",0);
createProp("sim/custom/xap/mfd_fuel_r", "int",0);
createProp("sim/custom/xap/mfd_flt_ctr_r", "int",0);
createProp("sim/custom/xap/mfd_electr_r", "int",0);
createProp("sim/custom/xap/mfd_ecs_r", "int",0);
createProp("sim/custom/xap/mfd_antice_r", "int",0);
createProp("sim/custom/xap/mfd_sumry_r", "int",0);
createProp("sim/custom/xap/mfd_frmt_r", "int",0);

createProp("sim/custom/xap/mfd_checkl_l", "int",0);
createProp("sim/custom/xap/mfd_hydr_l", "int",0);
createProp("sim/custom/xap/mfd_fuel_l", "int",0);
createProp("sim/custom/xap/mfd_flt_ctr_l", "int",0);
createProp("sim/custom/xap/mfd_electr_l", "int",0);
createProp("sim/custom/xap/mfd_ecs_l", "int",0);
createProp("sim/custom/xap/mfd_antice_l", "int",0);
createProp("sim/custom/xap/mfd_sumry_l", "int",0);
createProp("sim/custom/xap/mfd_frmt_l", "int",0);

createProp("sim/custom/xap/aud_vol_1_l", "float",1);
createProp("sim/custom/xap/aud_vol_2_l", "float",1);
createProp("sim/custom/xap/aud_vol_3_l", "float",1);
createProp("sim/custom/xap/aud_vol_4_l", "float",1);
createProp("sim/custom/xap/aud_vol_5_l", "float",1);
createProp("sim/custom/xap/aud_vol_6_l", "float",1);
createProp("sim/custom/xap/aud_vol_7_l", "float",1);
createProp("sim/custom/xap/aud_vol_8_l", "float",1);
createProp("sim/custom/xap/aud_vol_9_l", "float",1);
createProp("sim/custom/xap/aud_vol_10_l", "float",1);
createProp("sim/custom/xap/aud_vol_11_l", "float",1);
createProp("sim/custom/xap/aud_vol_12_l", "float",1);
createProp("sim/custom/xap/aud_vol_13_l", "float",1);
createProp("sim/custom/xap/aud_vol_14_l", "float",1);
createProp("sim/custom/xap/aud_vol_15_l", "float",1);
createProp("sim/custom/xap/aud_vol_16_l", "float",1);
createProp("sim/custom/xap/aud_vol_17_l", "float",1);

createProp("sim/custom/xap/aud_vol_1_r", "float",1);
createProp("sim/custom/xap/aud_vol_2_r", "float",1);
createProp("sim/custom/xap/aud_vol_3_r", "float",1);
createProp("sim/custom/xap/aud_vol_4_r", "float",1);
createProp("sim/custom/xap/aud_vol_5_r", "float",1);
createProp("sim/custom/xap/aud_vol_6_r", "float",1);
createProp("sim/custom/xap/aud_vol_7_r", "float",1);
createProp("sim/custom/xap/aud_vol_8_r", "float",1);
createProp("sim/custom/xap/aud_vol_9_r", "float",1);
createProp("sim/custom/xap/aud_vol_10_r", "float",1);
createProp("sim/custom/xap/aud_vol_11_r", "float",1);
createProp("sim/custom/xap/aud_vol_12_r", "float",1);
createProp("sim/custom/xap/aud_vol_13_r", "float",1);
createProp("sim/custom/xap/aud_vol_14_r", "float",1);
createProp("sim/custom/xap/aud_vol_15_r", "float",1);
createProp("sim/custom/xap/aud_vol_16_r", "float",1);
createProp("sim/custom/xap/aud_vol_17_r", "float",1);





createProp("sim/custom/xap/s_l", "int",0);
createProp("sim/custom/xap/s_r", "int",0);

createProp("sim/custom/xap/mfdpan_lr_sw", "int",0);

createProp("sim/custom/xap/lg_man", "int",0);
createProp("sim/custom/xap/pitch_d_1", "int",0);
createProp("sim/custom/xap/pitch_d_2", "int",0);

createProp("sim/custom/xap/aud_pa_r_h", "int",0);
createProp("sim/custom/xap/aud_pa_r", "float",0);
createProp("sim/custom/xap/aud_cab_r_h", "int",0);
createProp("sim/custom/xap/aud_cab_r", "float",0);
createProp("sim/custom/xap/aud_hf2_r_h", "int",0);
createProp("sim/custom/xap/aud_hf2_r", "float",0);
createProp("sim/custom/xap/aud_hf1_r_h", "int",0);
createProp("sim/custom/xap/aud_hf1_r", "float",0);
createProp("sim/custom/xap/aud_com3_r_h", "int",0);
createProp("sim/custom/xap/aud_com3_r", "float",0);
createProp("sim/custom/xap/aud_com2_r_h", "int",0);
createProp("sim/custom/xap/aud_com2_r", "float",0);
createProp("sim/custom/xap/aud_com1_r_h", "int",0);
createProp("sim/custom/xap/aud_com1_r", "float",0);

createProp("sim/custom/xap/aud_pa_l_h", "int",0);
createProp("sim/custom/xap/aud_pa_l", "float",0);
createProp("sim/custom/xap/aud_cab_l_h", "int",0);
createProp("sim/custom/xap/aud_cab_l", "float",0);
createProp("sim/custom/xap/aud_hf2_l_h", "int",0);
createProp("sim/custom/xap/aud_hf2_l", "float",0);
createProp("sim/custom/xap/aud_hf1_l_h", "int",0);
createProp("sim/custom/xap/aud_hf1_l", "float",0);
createProp("sim/custom/xap/aud_com3_l_h", "int",0);
createProp("sim/custom/xap/aud_com3_l", "float",0);
createProp("sim/custom/xap/aud_com2_l_h", "int",0);
createProp("sim/custom/xap/aud_com2_l", "float",0);
createProp("sim/custom/xap/aud_com1_l_h", "int",0);
createProp("sim/custom/xap/aud_com1_l", "float",0);

createProp("sim/custom/xap/aud_o2m_r_sw", "int",0);
createProp("sim/custom/xap/aud_emer_r_sw", "int",0);
createProp("sim/custom/xap/aud_voice_r_sw", "int",2);
createProp("sim/custom/xap/comps_slew_r_sw", "int",0);
createProp("sim/custom/xap/rudd_ped_r_sw", "int",0);
createProp("sim/custom/xap/pedals_fwd_bwd_r", "float",0);

createProp("sim/custom/xap/comps_head_r_h", "int",0);
createProp("sim/custom/xap/comps_head_r", "float",0);

createProp("sim/custom/xap/aud_o2m_l_sw", "int",0);
createProp("sim/custom/xap/aud_emer_l_sw", "int",0);
createProp("sim/custom/xap/aud_voice_l_sw", "int",2);
createProp("sim/custom/xap/comps_slew_l_sw", "int",0);
createProp("sim/custom/xap/rudd_ped_l_sw", "int",0);
createProp("sim/custom/xap/pedals_fwd_bwd_l", "float",0);

createProp("sim/custom/xap/comps_head_l_h", "int",0);
createProp("sim/custom/xap/comps_head_l", "float",0);


createProp("sim/custom/xap/elt_h", "int",0);
createProp("sim/custom/xap/elt", "float",0);


createProp("sim/custom/xap/dcu_b_cov", "int",0);
createProp("sim/custom/xap/dcu_b_h", "int",1);
createProp("sim/custom/xap/dcu_b", "float",0);
createProp("sim/custom/xap/dcu_a_cov", "int",0);
createProp("sim/custom/xap/dcu_a_h", "int",1);
createProp("sim/custom/xap/dcu_a", "float",0);

createProp("sim/custom/xap/cab_ac_cov", "int",0);
createProp("sim/custom/xap/cab_ac_h", "int", 1);
createProp("sim/custom/xap/cab_ac", "float",0);
createProp("sim/custom/xap/cab_dc_cov", "int",0);
createProp("sim/custom/xap/cab_dc_h", "int", 1);
createProp("sim/custom/xap/cab_dc", "float",0);

createProp("sim/custom/xap/oxigen_ox", "int",1);
createProp("sim/custom/xap/oxigen_terap_cov", "int",0);
createProp("sim/custom/xap/oxigen_terap_h", "int",0);
createProp("sim/custom/xap/oxigen_terap", "float",0);

createProp("sim/custom/xap/fire_engn_r_cov", "int",0);
createProp("sim/custom/xap/fire_engn_r_h", "int",0);
createProp("sim/custom/xap/fire_engn_r", "float",0);
createProp("sim/custom/xap/fire_engn_l_cov", "int",0);
createProp("sim/custom/xap/fire_engn_l_h", "int",0);
createProp("sim/custom/xap/fire_engn_l", "float",0);
createProp("sim/custom/xap/fire_apu_cov", "int",0);
createProp("sim/custom/xap/fire_apu_h", "int",0);
createProp("sim/custom/xap/fire_apu", "float",0);
createProp("sim/custom/xap/fire_ext_2_cov", "int",0);
createProp("sim/custom/xap/fire_ext_2_h", "int",0);
createProp("sim/custom/xap/fire_ext_2", "float",0);
createProp("sim/custom/xap/fire_ext_1_cov", "int",0);
createProp("sim/custom/xap/fire_ext_1_h", "int",0);
createProp("sim/custom/xap/fire_ext_1", "float",0);
createProp("sim/custom/xap/fire_autoapr_cov", "int",0);
createProp("sim/custom/xap/fire_autoapr_h", "int", 1);
createProp("sim/custom/xap/fire_autoapr", "float",0);

createProp("sim/custom/xap/test_rot", "int",0);
createProp("sim/custom/xap/test_push", "int",0);

createProp("sim/custom/xap/trim_pusher_cov", "int", 0);
createProp("sim/custom/xap/trim_pusher_h", "int", 1);
createProp("sim/custom/xap/trim_pusher", "float",0);
createProp("sim/custom/xap/trim_stab", "int",0);
createProp("sim/custom/xap/trim_rud", "float",0);

createProp("sim/custom/xap/outbrks_low", "int",0);
createProp("sim/custom/xap/brks_low", "int",0);

createProp("sim/custom/xap/hydr_altn_flp_cov", "int",0);
createProp("sim/custom/xap/hydr_altn_flp_h", "int",0);
createProp("sim/custom/xap/hydr_altn_flp", "float",0);
createProp("sim/custom/xap/hydr_l_sov_cov", "int",0);
createProp("sim/custom/xap/hydr_l_sov_h", "int",1);
createProp("sim/custom/xap/hydr_l_sov", "float",0);
createProp("sim/custom/xap/hydr_r_sov_cov", "int",0);
createProp("sim/custom/xap/hydr_r_sov_h", "int", 1);
createProp("sim/custom/xap/hydr_r_sov", "float",0);

createProp("sim/custom/xap/electr_ess_p_status", "int",0);
createProp("sim/custom/xap/electr_apugen_h", "int",0);
createProp("sim/custom/xap/electr_apugen", "float",0);
createProp("sim/custom/xap/electr_gen_r_h", "int",0);
createProp("sim/custom/xap/electr_gen_r", "float",0);
createProp("sim/custom/xap/electr_gen_l_h", "int",0);
createProp("sim/custom/xap/electr_gen_l", "float",0);
createProp("sim/custom/xap/electr_stbi_h", "int",0);
createProp("sim/custom/xap/electr_stbi", "float",0);
createProp("sim/custom/xap/electr_extp_h", "int",0);
createProp("sim/custom/xap/electr_extp", "float",0);
createProp("sim/custom/xap/electr_extp_avail", "float",0);


createProp("sim/custom/xap/antice_wings_xbleed_valve", "int",0);
createProp("sim/custom/xap/antice_wngsource_r", "int",1);
createProp("sim/custom/xap/antice_wshld_r_h", "int",0);
createProp("sim/custom/xap/antice_wshld_r", "float",0);
createProp("sim/custom/xap/antice_wshld_l_h", "int",0);
createProp("sim/custom/xap/antice_wshld_l", "float",0);
createProp("sim/custom/xap/antice_engn_r_h", "int",0);
createProp("sim/custom/xap/antice_engn_r", "float",0);
createProp("sim/custom/xap/antice_engn_l_h", "int",0);
createProp("sim/custom/xap/antice_engn_l", "float",0);
createProp("sim/custom/xap/antice_probe_r_h", "int",0);
createProp("sim/custom/xap/antice_probe_r", "float",0);
createProp("sim/custom/xap/antice_probe_l_h", "int",0);
createProp("sim/custom/xap/antice_probe_l", "float",0);
createProp("sim/custom/xap/antice_wing_h", "int",0);
createProp("sim/custom/xap/antice_wing", "float",0);

createProp("sim/custom/xap/pressure_lndg_alt_1", "int",0);
createProp("sim/custom/xap/pressure_lndg_alt_2", "float",0);
createProp("sim/custom/xap/pressure_man_h", "int",0);
createProp("sim/custom/xap/pressure_man", "float",0);
createProp("sim/custom/xap/pressure_ditch_cov", "int",0);
createProp("sim/custom/xap/pressure_ditch_h", "int",0);
createProp("sim/custom/xap/pressure_ditch", "float",0);
createProp("sim/custom/xap/pressure_emer_depr_cov", "int",0);
createProp("sim/custom/xap/pressure_emer_depr_h", "int",0);
createProp("sim/custom/xap/pressure_emer_depr", "float",0);
createProp("sim/custom/xap/pressure_manrate", "float",0);


createProp("sim/custom/xap/aircond_tempr_cock_ddial", "float",0);
createProp("sim/custom/xap/aircond_tempr_cab_ddial", "float",0);
createProp("sim/custom/xap/aircond_cockpit_temp", "float",0);
createProp("sim/custom/xap/aircond_cabin_temp", "float",0);
createProp("sim/custom/xap/aircond_ramair_h", "int",0);
createProp("sim/custom/xap/aircond_ramair_cov", "int",0);
createProp("sim/custom/xap/aircond_ramair", "float",0);
createProp("sim/custom/xap/aircond_man_temp_h", "int",0);
createProp("sim/custom/xap/aircond_man_temp", "float",0);
createProp("sim/custom/xap/aircond_airsource", "int", 0);


createProp("sim/custom/xap/taws_ter", "float",0);
createProp("sim/custom/xap/taws_flp", "float",0);
createProp("sim/custom/xap/taws_gs", "float",0);
createProp("sim/custom/xap/taws_ter_h", "int", 1);
createProp("sim/custom/xap/taws_flp_h", "int", 1);
createProp("sim/custom/xap/taws_gs_h", "int", 1);
createProp("sim/custom/xap/taws_ter_cov", "int",0);
createProp("sim/custom/xap/taws_flp_cov", "int",0);
createProp("sim/custom/xap/taws_gs_cov", "int",0);

createProp("sim/custom/xap/nws_h", "int",0);
createProp("sim/custom/xap/nws", "float",0);

createProp("sim/custom/xap/fuel_pump_r_astate", "int", 0);
createProp("sim/custom/xap/fuel_pump_l_astate", "int", 0);
createProp("sim/custom/xap/fuel_imbalanced", "int",0);
createProp("sim/custom/xap/fuel_balanced", "int",0);
createProp("sim/custom/xap/fuel_xflow_up_h", "int",0);
createProp("sim/custom/xap/fuel_xflow_dn_h", "int",0);
createProp("sim/custom/xap/fuel_xflow_up", "float",0);
createProp("sim/custom/xap/fuel_xflow_dn", "float",0);
createProp("sim/custom/xap/fuel_xpump_r", "int", 1);
createProp("sim/custom/xap/fuel_xpump_l", "int", 1);

createProp("sim/custom/xap/rev_air_dat", "int", 1);
createProp("sim/custom/xap/rev_att_hd", "int", 1);
createProp("sim/custom/xap/rev_tune", "int", 2);
createProp("sim/custom/xap/rev_pan_l", "int", 1);
createProp("sim/custom/xap/rev_pan_r", "int", 1);



createProp("sim/custom/xap/bleed_status", "int", 0);
createProp("sim/custom/xap/bleed_xbleed_h", "int", 0);
createProp("sim/custom/xap/bleed_xbleed", "float",0);
createProp("sim/custom/xap/bleed_en_l_h", "int",0);
createProp("sim/custom/xap/bleed_en_l", "float",0);
createProp("sim/custom/xap/bleed_en_r_h", "int",0);
createProp("sim/custom/xap/bleed_en_r", "float",0);
createProp("sim/custom/xap/bleed_apu_h", "int", 0);
createProp("sim/custom/xap/bleed_apu", "float",0);

createProp("sim/custom/xap/engn_mach_status", "int",0);
createProp("sim/custom/xap/engn_mach_h", "int",0);
createProp("sim/custom/xap/engn_mach", "float",0);
createProp("sim/custom/xap/engn_ign_h", "int",0);
createProp("sim/custom/xap/engn_ign", "float",0);
createProp("sim/custom/xap/en_starter_l", "int",1);
createProp("sim/custom/xap/en_starter_r", "int",1);
createProp("sim/custom/xap/en_but_run_l", "int",0);
createProp("sim/custom/xap/en_but_run_r", "int",0);

createProp("sim/custom/xap/carets", "int",0);
createProp("sim/custom/xap/TO_n1", "float",0);
createProp("sim/custom/xap/CLB_n1", "float",0);

createProp("sim/custom/xap/ISA_t", "float",0);

createProp("sim/custom/xap/ISA_t", "float",0);

createProp("sim/custom/xap/ISA_t", "float",0);

createProp("sim/custom/xap/fadec_coeff1", "float",0);
createProp("sim/custom/xap/fadec_coeff2", "float",0);

createProp("sim/custom/xap/dcp_radar", "int", 1);
createProp("sim/custom/xap/dcp_refs", "int", -1);
createProp("sim/custom/xap/dcp_refs_menu", "int", 0);
createProp("sim/custom/xap/dcp_dmeh", "int", 1);
createProp("sim/custom/xap/dcp_1_2", "int", 1);
createProp("sim/custom/xap/dcp_navsrc", "int", -1);
createProp("sim/custom/xap/dcp_tilt", "int",0);
createProp("sim/custom/xap/dcp_range", "int",0);
createProp("sim/custom/xap/dcp_data_mode", "int",0);
createProp("sim/custom/xap/dcp_tune1_rot", "int",0);
createProp("sim/custom/xap/dcp_tune2_rot", "int",0);
createProp("sim/custom/xap/dcp_menu1_rot", "int",0);
createProp("sim/custom/xap/dcp_menu2_rot", "int",0);

createProp("sim/custom/xap/mfd_sel_state_h", "int",0);
createProp("sim/custom/xap/mfd_sel_state", "int",0);

createProp("sim/custom/xap/ground_sp_h", "int", 1);
createProp("sim/custom/xap/sbrk_h", "float",0);
createProp("sim/custom/xap/ground_spoil_h", "float",0);
createProp("sim/custom/xap/flight_spoil_cov", "float",0);
createProp("sim/custom/xap/flight_spoil_h", "float",0);
createProp("sim/custom/xap/flight_spoil", "float",0);


createProp("sim/custom/xap/steer_handle", "float",0);

createProp("sim/custom/xap/thr_anm1", "float",0);
createProp("sim/custom/xap/thr_anm2", "float",0);
createProp("sim/custom/xap/gust_lock", "int",1);
createProp("sim/custom/xap/gust_lock_anm", "float", 1);

createProp("sim/custom/xap/avion_lit1", "int",0);
createProp("sim/custom/xap/avion_lit2", "int",0);
createProp("sim/custom/xap/avion_lit3", "int",0);

createProp("sim/custom/xap/right_bat", "float",0);
createProp("sim/custom/xap/left_bat", "float",0);
createProp("sim/custom/xap/right_bat_h", "int",0);
createProp("sim/custom/xap/left_bat_h", "int",0);

createProp("sim/custom/xap/bus_tie_h", "float",0);
createProp("sim/custom/xap/bus_tie", "float",0);

createProp("sim/custom/xap/l_hpump_h", "int", 0);
createProp("sim/custom/xap/r_hpump_h", "int", 0);
createProp("sim/custom/xap/aux_hpump_h", "int", 0);
createProp("sim/custom/xap/ptu_h", "int", 0);


createProp("sim/custom/xap/rembf1", "int",0);
createProp("sim/custom/xap/rembf2", "int",0);
createProp("sim/custom/xap/rembf3", "int",0);
createProp("sim/custom/xap/rembf4", "int",0);
createProp("sim/custom/xap/rembf5", "int",0);
createProp("sim/custom/xap/rembf6", "int",0);
createProp("sim/custom/xap/rembf7", "int",0);
createProp("sim/custom/xap/rembf8", "int",0);
createProp("sim/custom/xap/rembf9", "int",0);
createProp("sim/custom/xap/rembf10", "int",0);
createProp("sim/custom/xap/rembf11", "int",0);
createProp("sim/custom/xap/rembf12", "int",0);
createProp("sim/custom/xap/rembf13", "int",0);
createProp("sim/custom/xap/rembf14", "int",0);

createProp("sim/custom/xap/menu_type", "int",0);
createProp("sim/custom/xap/cam_type", "int",0);

createProp("sim/custom/xap/rain_back", "float",0);
createProp("sim/custom/xap/rain_scr1", "float",0);
createProp("sim/custom/xap/rain_scr2", "float",0);
createProp("sim/custom/xap/rain_scr3", "float",0);
createProp("sim/custom/xap/rain_scr4", "float",0);
createProp("sim/custom/xap/rain_drop1", "float",0);
createProp("sim/custom/xap/rain_move1", "float",0);
createProp("sim/custom/xap/rain_move2", "float",0);

createProp("sim/custom/xap/customslider4", "int",0);
createProp("sim/custom/xap/customslider4_r", "float",0);

createProp("sim/custom/xap/customslider3", "int",0);
createProp("sim/custom/xap/customslider3_r", "float",0);

createProp("sim/custom/xap/customslider2", "int",0);
createProp("sim/custom/xap/customslider2_r", "float",0);

createProp("sim/custom/xap/customslider1", "int",0);
createProp("sim/custom/xap/customslider1_r", "float",0);

createProp("sim/custom/xap/cablight_h", "float",0);
createProp("sim/custom/xap/cablight", "float",0);
createProp("sim/custom/xap/entrlight_h", "float",0);
createProp("sim/custom/xap/entrlight", "float",0);
createProp("sim/custom/xap/emeright_h", "float",0);
createProp("sim/custom/xap/emeright", "float",0);
createProp("sim/custom/xap/landlight1", "float",0);
createProp("sim/custom/xap/landlight2", "float",0);
createProp("sim/custom/xap/landlight1_h", "float",0);
createProp("sim/custom/xap/landlight2_h", "float",0);
createProp("sim/custom/xap/xap_taxilight_h", "float",0);
createProp("sim/custom/xap/xap_taxilight", "float",0);
createProp("sim/custom/xap/xap_taxilight2", "float",0);
createProp("sim/custom/xap/strobe_h", "float",0);
createProp("sim/custom/xap/nav_h", "float",0);
createProp("sim/custom/xap/logo", "float",0);

createProp("sim/custom/xap/beac_brt", "float",0);

createProp("sim/custom/xap/wing_insp_h", "float",0);
createProp("sim/custom/xap/wing_insp", "float",0);
createProp("sim/custom/xap/wing_insp_b", "float",0);

createProp("sim/custom/xap/cockavl", "float",0);
createProp("sim/custom/xap/cockavl_p", "float",0);
createProp("sim/custom/xap/cockavl_m", "float",0);
createProp("sim/custom/xap/cockavr", "float",0);
createProp("sim/custom/xap/cockavr_p", "float",0);
createProp("sim/custom/xap/cockavr_m", "float",0);
createProp("sim/custom/xap/stby_ins_lt", "float",0);
createProp("sim/custom/xap/stby_ins_dim_brt", "int",0);


createProp("sim/custom/xap/dome_h", "float",0);
createProp("sim/custom/xap/dome", "float",0);

createProp("sim/custom/xap/crewlit_h", "float",0);
createProp("sim/custom/xap/crewlit", "float",0);

createProp("sim/custom/xap/crewlit2_h", "float",0);
createProp("sim/custom/xap/crewlit2", "float",0);

createProp("sim/custom/xap/annun_h", "float",0);
createProp("sim/custom/xap/annun", "float",0);

createProp("sim/custom/xap/cbp_h", "float",1);
createProp("sim/custom/xap/cbp", "float",0);

createProp("sim/custom/xap/cmfd_h", "float",1);
createProp("sim/custom/xap/cmfd", "float",0);

createProp("sim/custom/xap/cpfd_h", "float",1);
createProp("sim/custom/xap/cpfd", "float",0);

createProp("sim/custom/xap/dome_h", "float",0);
createProp("sim/custom/xap/dome", "float",0);

createProp("sim/custom/xap/gshldr_h", "float",1);
createProp("sim/custom/xap/gshldr", "float",0);



createProp("sim/custom/xap/ppfd_h", "float",1);
createProp("sim/custom/xap/ppfd", "float",0);

createProp("sim/custom/xap/pmfd_h", "float",1);
createProp("sim/custom/xap/pmfd", "float");

createProp("sim/custom/xap/annun_h", "float",0);
createProp("sim/custom/xap/annun", "float",0);

createProp("sim/custom/xap/pedestal_h", "float",1);
createProp("sim/custom/xap/pedestal", "float",0);

createProp("sim/custom/xap/gshldl_h", "float",1);
createProp("sim/custom/xap/gshldl", "float",0);


createProp("sim/custom/xap/fms_selector", "int",1);





createProp("sim/custom/xap/sunscreen10", "float",0);
createProp("sim/custom/xap/sunscreen20", "float",0);
createProp("sim/custom/xap/sunscreen11", "float",0);
createProp("sim/custom/xap/sunscreen21", "float",0);


createProp("sim/custom/xap/master_vol", "float",1);

createProp("sim/custom/xap/belt", "int",0);
createProp("sim/custom/xap/smoke", "int",0);
createProp("sim/custom/xap/smokebelts_h", "int",0);


createProp("sim/custom/xap/disp_music_r", "float",0);

createProp("sim/custom/xap/music", "int",0);

createProp("sim/custom/xap/towforce", "float",0);

createProp("sim/custom/xap/jalousie1", "float",0);
createProp("sim/custom/xap/jalousie2", "float",0);
createProp("sim/custom/xap/jalousie3", "float",0);
createProp("sim/custom/xap/jalousie4", "float",0);
createProp("sim/custom/xap/jalousie5", "float",0);
createProp("sim/custom/xap/jalousie6", "float",0);

createProp("sim/custom/xap/jalousie7", "float",0);
createProp("sim/custom/xap/jalousie8", "float",0);
createProp("sim/custom/xap/jalousie9", "float",0);
createProp("sim/custom/xap/jalousie10", "float",0);
createProp("sim/custom/xap/jalousie11", "float",0);
createProp("sim/custom/xap/jalousie12", "float",0);

createProp("sim/custom/xap/table1", "float",0);
createProp("sim/custom/xap/table2", "float",0);
createProp("sim/custom/xap/table3", "float",0);
createProp("sim/custom/xap/table4", "float",0);

createProp("sim/custom/xap/p_cush", "float",0);

createProp("sim/custom/xap/cdu_pages", "int",0);
createProp("sim/custom/xap/index_pages", "int",0);
createProp("sim/custom/xap/posinit_pages", "int",0);
createProp("sim/custom/xap/vordmeuse", "int",0);
createProp("frame_time", "float", 0); -- time since last frame

createProp("sim/custom/xap/wave_limit_n", "int",0); -- wave limit value
createProp("sim/custom/xap/avionics_night_light", "float",0); -- avionics night light
createProp("sim/custom/xap/trans_light", "float",0); -- transponder light ratio
createProp("sim/custom/xap/aud_panel_pw_ind", "float",0); --audio panel power light

-- audio panel lights
createProp("sim/custom/xap/aud_panel_pw", "int",0);
createProp("sim/custom/xap/aud_panel_pw_lit", "int",0);
createProp("sim/custom/xap/aud_com1_pw", "int",0);
createProp("sim/custom/xap/aud_com2_pw", "int",0);
createProp("sim/custom/xap/aud_nav1_pw", "int",0);
createProp("sim/custom/xap/aud_nav2_pw", "int",0);
createProp("sim/custom/xap/aud_dme_pw", "int",0);
createProp("sim/custom/xap/aud_mkr_pw", "int",0);
createProp("sim/custom/xap/aud_adf_pw", "int",0);


-- comnav lights
createProp("sim/custom/xap/comnav1_pw", "int",0);
createProp("sim/custom/xap/comnav2_pw", "int",0);

-- DME power
createProp("sim/custom/xap/dme_pw_lit", "int",0);

-- ADF1 power
createProp("sim/custom/xap/adf1_pw_lit", "int",0);

-- transponder lights
createProp("sim/custom/xap/trans_pw_lit", "int",0);

-- fuel gage
createProp("sim/custom/xap/fuel_q_selector", "int",0);
createProp("sim/custom/xap/fuel_reset_used", "int",0);
createProp("sim/custom/xap/fuel_used", "float",0);


-- gps lights
createProp("sim/custom/xap/gps_pw", "int",0);
createProp("sim/custom/xap/gps_pw_lit", "int",0);
createProp("sim/custom/xap/gps_apt", "int",0);
createProp("sim/custom/xap/gps_vor", "int",0);
createProp("sim/custom/xap/gps_ndb", "int",0);
createProp("sim/custom/xap/gps_int", "int",0);

createProp("sim/custom/xap/disp", "float",0);
createProp("sim/custom/xap/disp2", "float",0);
createProp("sim/custom/xap/disp3", "float",0);
createProp("sim/custom/xap/disp4", "float",0);

createProp("sim/custom/xap/post_effect", "int",0);
createProp("sim/custom/xap/post_effect_trans", "float",0);
createProp("sim/custom/xap/position_saving", "int",0);

createProp("sim/custom/xap/emer_door_lit", "float",0);


createCommand("sim/custom/xap/chklist_enter", "MFD control panel Enter button")
createCommand("sim/custom/xap/chklist_skip", "MFD control panel Skip button")
createCommand("sim/custom/xap/chklist_jright", "MFD control panel Joy Right button")
createCommand("sim/custom/xap/chklist_jleft", "MFD control panel Joy Left button")

createProp("maxF", "float", 110);
createProp("minF", "float", 75);
createProp("maxB", "float", 375);
createProp("minB", "float", 75);
createProp("volume", "float", 100);
createProp("volumeX", "float", 1);


















defineProperty("closeImage", loadImage("close.png"))  -- close image
defineProperty("window_height",globalPropertyi("sim/graphics/view/window_height"))
defineProperty("window_width",globalPropertyi("sim/graphics/view/window_width"))

defineProperty("sunglases", globalPropertyi("sim/cockpit/electrical/sunglasses_on"))
defineProperty("slider9", globalPropertyf("sim/flightmodel2/misc/custom_slider_ratio[8]"))
defineProperty("customslider1", globalPropertyi("sim/custom/xap/customslider1"))

defineProperty("override_throttles", globalPropertyi("sim/operation/override/override_throttles"))
defineProperty("override_cs", globalPropertyf("sim/operation/override/override_control_surfaces"))
defineProperty("override_fc", globalPropertyf("sim/operation/override/override_flightcontrol"))
defineProperty("override_gearbrake", globalPropertyf("sim/operation/override/override_gearbrake"))

local coef = get(window_height) / 768
--if coef > 1 then coef = 1 end



function onAvionicsDone()
set(override_throttles, 0)
set(sunglases,0)
set(override_cs, 0)
set(override_fc, 0)
set(override_gearbrake, 0)
end

-- 1-button subpanel for mainmenu



blankpan = subpanel {

    position = { 0 , get(window_height) - 157.5*coef , 24*coef, 75*coef };

    noBackground = true;
    noClose = true;
	noResize = true;
    movable = false;
	noVisible = true;
    clickable = true;
    components = {
		 blankpan {
         position = { 0, 0, 24*coef, 75*coef },

         };
	};
}

-- main menu

mainmenu = subpanel {

    position = { 0 , get(window_height) - 382*coef , 200*coef, 265*coef };

    noBackground = true;
    noClose = true;
	noResize = true;
    movable = false;
	noVisible = true;
    clickable = true;
    components = {
		 mainmenu {
         position = { 0, 0, 300*coef, 300*coef },

         };
	};
}--]=]


-- preflight panel

preflightmenu = subpanel {
    position = { 10*coef , 10*coef , 300*coef, 336*coef };
    noBackground = true;
    noClose = true;
	noResize = true;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 preflight {
         position = { 0, 0, 300*coef, 336*coef },

         };
	};
}

-- cameras panel
camerasmenu = subpanel {
    position = { 540*coef , 128*coef , 157*coef, 209*coef };
    noBackground = true;
    noClose = true;
	noResize = true;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 cameras {
         position = { 0, 0, 157*coef, 209*coef },

         };
	};
}--]=]

-- add swithes panel
--[=[switches_menu = subpanel {
    position = { (get(window_width)) - 150 , get(window_height) - 150 , 128, 128 };
    noBackground = true;
    noClose = true;
    movable = true;
    clickable = true;
    noResize = false;
    components = {
		 switches_panel {
         position = { 0, 0, 128, 128 },

         };
	};
}--]=]



fms_3d = subpanel {
    position = { (get(window_width)) - 286*coef , 346*coef , 276, 307 };
    noBackground = true;
    noClose = true;
    movable = true;
    clickable = true;
    noResize = false;
    components = {
		 fms_3d {
         position = { 0, 0, 276, 307 },

         };
	};
}


anim_menu = subpanel {
    position = {  (get(window_width)) - 310*coef, 10*coef , 268*coef, 165*coef };
    noBackground = true;
    noClose = true;
	noResize = true;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 anim_menu {
         position = { 0, 0, 268*coef, 165*coef },

         };
	};
}


cheklist_3d = subpanel {
    position = { 220*coef , get(window_height) - 263*coef , 419*coef, 243*coef };
    noBackground = true;
    noClose = true;
	noResize = false;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 cheklist_3d {
         position = { 0, 0, 419*coef, 243*coef },

         };
	};
}

mfd_panel = subpanel {
    position = { 164*coef , 185*coef , 318*coef, 167*coef };
    noBackground = true;
    noClose = true;
	noResize = false;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 mfd_panel {
         position = { 0, 0, 318*coef, 167*coef },

         };
	};
}

instrum_p = subpanel {
    position = {  (get(window_width)) - 200*coef , get(window_height) - 60*coef , 188*coef, 45*coef };
    noBackground = true;
    noClose = true;
	noResize = true;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 instrum_p {
         position = { 0, 0, 188*coef, 45*coef },

         };
	};

}

-- options panel--[=[
opts_p = subpanel {
    position = { 440*coef , 10*coef , 251*coef, 120*coef };
    noBackground = true;
    noClose = true;
	noResize = true;
    movable = true;
	noVisible = true;
    clickable = true;
    components = {
		 opts_p {
         position = { 0, 0, 251*coef, 120*coef },

         };
	};
}--]=]

eicas_3d = subpanel {
    position = { 10, 10, 144*coef, 288*coef };
    noBackground = true;
    noClose = true;
    movable = true;
    clickable = true;
    noResize = false;
    components = {
		 eicas_3d {
         position = { 0, 0, 144*coef, 288*coef },

         };
	};
}


components = {
-- aircraft logic
	aircraft_logic {},
	time_logic{},
	--]=]
   save_position {},
-- position saving function
	mfd {
	position = {670, 1153, 670, 895}
	},
   sounds{},
	engine_sound{},
	engine_sound2{},
	apu_sound{},
	fms {
	position = {0, 0, 462, 512}
	},--]=]
	pfd {
	position = {0, 1153, 670, 895}
	},--]=]

	eicas {
	position = {1150, 1646, 200, 400}
	},
	checklist {
	position = {1350, 1638, 698, 405}
	},
-- logic of panels
 panel_logic {
--	panel_2 = switches_menu,
	panel_20 = fms_3d,
	panel_22 = blankpan,
	panel_21 = mainmenu,
    panel_3 = camerasmenu,
	panel_4 = preflightmenu,
	panel_5 = eicas_3d,
	panel_6 = anim_menu,
	panel_7 = cheklist_3d,
	panel_8 = mfd_panel,
	panel_9 = instrum_p,
	panel_11 = opts_p,
 },--]=]

}


--function update()
--if get(flight_time) > 2 and get(flight_time) < 2.3 then
--print("components updated")
--updateAll(components)
--end
--end

